# Media button

An action block that awaits a media button press.

The fiber will pause until a button has been pressed.

If an audio player is launched after this block it will capture all media button presses unless override is enabled.

Note! Android 5+ devices may require Automate to be the default voice search app in order to intercept the Headset hook button ahead of Google Now. Use the Override voice search option in settings.

## Input arguments

- Buttons — buttons to await, default is all.
- Override — try to override all other apps, may not work on all devices.

## Output variables

- Button pressed — variable to assign the actual button pressed.